Loading...
Searching...
No Matches
encoder.hpp File Reference

Unsettled API - A stream-like encoder from C++ values to AMQP bytes. More...

`#include "../internal/data.hpp"`
`#include "../internal/type_traits.hpp"`
`#include "../types_fwd.hpp"`
`#include "./common.hpp"`
`#include <proton/type_compat.h>`
Include dependency graph for encoder.hpp:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Classes

class | encoder
| Unsettled API - A stream-like encoder from C++ values to AMQP bytes. More...

## Namespaces

namespace | proton
| The main Proton namespace.
namespace | proton::codec
| Unsettled API - AMQP data encoding and decoding.

## Functions

encoder & | operator<< (encoder &e, const char *s)
| Treat char* as string.
template<class T >
std::enable_if< internal::is_unknown_integer< T >::value, encoder & >::type | operator<< (encoder &e, T i)
| operator << for integer types that are not covered by the standard overrides.

## Detailed Description

Unsettled API - A stream-like encoder from C++ values to AMQP bytes.